package com.develop.main.ui


import android.media.metrics.Event
import android.os.Bundle
import android.util.Log
import android.util.SparseIntArray
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.RelativeLayout
import androidx.appcompat.widget.AppCompatTextView
import androidx.databinding.ViewDataBinding
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.bumptech.glide.Glide
import com.develop.base.ext.globalApp
import com.develop.base.ext.navigateTo
import com.develop.base.ext.resId2Dimension
import com.develop.base.ext.updateText
import com.develop.base.widgets.CommonPopupWindow
import com.develop.common.data_repo.db.*
import com.develop.common.data_repo.db.entity.DevRecipeCategory
import com.develop.common.databinding.FragmentCommeListBinding
import com.develop.common.databinding.FragmentCommeListV2Binding
import com.develop.common.event.RefreshDataEvent
import com.develop.common.router.Screens
import com.develop.common.tag.*
import com.develop.common.ui.CommonBVMFragment
import com.develop.common.widget.*
import com.develop.main.R
import com.develop.main.databinding.ItemFilterAndSortViewBinding
import com.develop.main.viewmodel.HomeViewModel
import com.drake.brv.BindingAdapter
import com.drake.brv.utils.*
import org.greenrobot.eventbus.EventBus
import org.greenrobot.eventbus.Subscribe

class RecipesFragmentV2 : CommonBVMFragment<FragmentCommeListV2Binding, HomeViewModel>() {



    override fun createViewModel(): HomeViewModel {
        return getViewModelOfActivity(HomeViewModel::class.java)
    }

    override fun createViewBinding(
        inflater: LayoutInflater, container: ViewGroup?
    ): FragmentCommeListV2Binding {
        return FragmentCommeListV2Binding.inflate(inflater, container, false)
    }

    override fun onPostCreateView() {
        super.onPostCreateView()

    }

    override fun onDestroy() {
        super.onDestroy()
    }


}